summaryrefslogtreecommitdiffstats
path: root/misc/seahorse-plugins
diff options
context:
space:
mode:
author Andrew Rowland <darowland@ieee.org>2012-08-09 14:30:08 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-08-09 14:30:08 -0500
commit91844dd2b63bd55df28e85526f2f30c4a6863646 (patch)
treec37079b73a89fe9934947dc4f8436a6cdce00eb5 /misc/seahorse-plugins
parent93f6d52ee4db39eba9f207b1aad036f8bf13bdba (diff)
downloadslackbuilds-91844dd2b63bd55df28e85526f2f30c4a6863646.tar.gz
slackbuilds-91844dd2b63bd55df28e85526f2f30c4a6863646.tar.xz
misc/seahorse-plugins: Added (plugins for Seahorse)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'misc/seahorse-plugins')
-rw-r--r--misc/seahorse-plugins/README4
-rw-r--r--misc/seahorse-plugins/doinst.sh24
-rw-r--r--misc/seahorse-plugins/seahorse-plugins.SlackBuild89
-rw-r--r--misc/seahorse-plugins/seahorse-plugins.info10
-rw-r--r--misc/seahorse-plugins/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/misc/seahorse-plugins/README b/misc/seahorse-plugins/README
new file mode 100644
index 0000000000..2dd86809f5
--- /dev/null
+++ b/misc/seahorse-plugins/README
@@ -0,0 +1,4 @@
+This package provides plugins for the Seahorse application.
+Scrollkeeper and Epiphany support are disabled in this SlackBuild.
+
+This requires seahorse.
diff --git a/misc/seahorse-plugins/doinst.sh b/misc/seahorse-plugins/doinst.sh
new file mode 100644
index 0000000000..b75f360808
--- /dev/null
+++ b/misc/seahorse-plugins/doinst.sh
@@ -0,0 +1,24 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install seahorse-plugins.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/misc/seahorse-plugins/seahorse-plugins.SlackBuild b/misc/seahorse-plugins/seahorse-plugins.SlackBuild
new file mode 100644
index 0000000000..14202e28f3
--- /dev/null
+++ b/misc/seahorse-plugins/seahorse-plugins.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for <appname>
+
+# Written by Andrew Rowland <darowland@ieee.org>
+
+PRGNAM='seahorse-plugins'
+VERSION=${VERSION:-2.30.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-agent \
+ --disable-scrollkeeper \
+ --disable-update-mime-database \
+ --disable-epiphany \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING* HACKING INSTALL MAINTAINERS NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/seahorse-plugins/seahorse-plugins.info b/misc/seahorse-plugins/seahorse-plugins.info
new file mode 100644
index 0000000000..d5f9afb17b
--- /dev/null
+++ b/misc/seahorse-plugins/seahorse-plugins.info
@@ -0,0 +1,10 @@
+PRGNAM="seahorse-plugins"
+VERSION="2.30.1"
+HOMEPAGE="https://live.gnome.org/Seahorse/Plugins"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/seahorse-plugins/2.30/seahorse-plugins-2.30.1.tar.bz2"
+MD5SUM="cb8a86a1039054b621f6419ac2219695"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrew Rowland"
+EMAIL="darowland@ieee.org"
+APPROVED="rworkman"
diff --git a/misc/seahorse-plugins/slack-desc b/misc/seahorse-plugins/slack-desc
new file mode 100644
index 0000000000..3f1bae6f03
--- /dev/null
+++ b/misc/seahorse-plugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+seahorse-plugins: seahorse-plugins (plugins for Seahorse)
+seahorse-plugins:
+seahorse-plugins: Plugins for the Seahorse application.
+seahorse-plugins:
+seahorse-plugins:
+seahorse-plugins:
+seahorse-plugins:
+seahorse-plugins:
+seahorse-plugins:
+seahorse-plugins:
+seahorse-plugins: